<?php

namespace Otys\OtysPlugin\Controllers\Admin;

use Otys\OtysPlugin\Includes\Core\Cache;

class AdminCacheController extends AdminBaseController
{
    public static function onInit()
    {
        if (isset($_GET['delete_cache']) && $_GET['delete_cache'] === 'all') {
            Cache::deleteAll();
            wp_redirect(admin_url('admin.php?page=otys_cache'));
            exit;
        }
    
        if (isset($_GET['delete_cache'])) {
            Cache::delete(sanitize_title($_GET['delete_cache']), true);
            wp_redirect(admin_url('admin.php?page=otys_cache'));
            exit;
        }

        if (isset($_GET['refresh_cache'])) {
            wp_redirect(admin_url('admin.php?page=otys_cache'));
            exit;
        }
    }

    public function __construct()
    {
        parent::__construct();
    }

    public function index()
    {        
        $cache = Cache::getList();

        $this->parseArgs('plugin_cache', $cache);
    }
}
