<?php
$args = wp_parse_args($args, [
    'uid' => 0
]);

$required = (!isset($args['question']['value']) && $args['question']['validation']['mandatory']) ? esc_attr('required') : '';

if (isset($args['question']['name'])) :
    ?>

    <input type="file" name="<?php echo esc_attr($args['question']['name']) ?>" <?php echo esc_attr($required) ?>/>

    <?php
endif;

if (isset($args['question']['value'])) :
    ?>
    <div class="form-documents">
        <?php
        $i = 0;
        foreach ($args['question']['value']['documents'] as $key => $document) :
            ?>
            <div class="form-document" id="document-<?php echo $args['question']['id'] ?>-<?php echo esc_attr($i) ?>">
                <span class="form-document-name">
                    <?php echo esc_html($document['name']) ?>
                </span>
                <a data-document="document-<?php echo esc_attr($args['question']['id']) ?>-<?php echo esc_attr($i) ?>" class="form-document-delete" href="<?php echo esc_url($args['ajaxUrl']) ?>?action=delete-data&question-id=<?php echo esc_attr($args['question']['id']) ?>&key=<?php echo esc_attr($key) ?>&type=<?php echo esc_attr($args['question']['type']) ?>&uid=<?php echo esc_attr($args['uid']); ?>"><?php echo __('delete', 'otys-jobs-apply') ?></a>
            </div>
            <?php
            $i++;
        endforeach;
        ?>
    </div>
    <?php
endif;
?>