<?php

/**
 * Provides entry point for AJAX calls for the OTYS Plugin
 */

namespace Otys\OtysPlugin\Controllers;

final class ajaxController extends BaseController
{
    public function __construct()
    {
        parent::__construct();

        $this->model->modulename = 'ajax';
    }

    /**
     * Public entry point for class handles all ajax requests
     *
     * @return void
     */
    public function index(): void
    {
        if (isset($_GET['module'])) {
            if ($_GET['module'] === 'vacancies') {
                $vacancies = new VacanciesController();
                $vacancies->ajax();
            }
        }
    }
}