'use strict';

{
    let deleteButtonsEl = document.getElementsByClassName('form-document-delete');

    /**
     * Delete function files
     */
    Array.from(deleteButtonsEl).forEach(function(element){
        element.addEventListener('click', function(event){
            event.preventDefault();

            const documentId = element.getAttribute('data-document');
            const link = element.getAttribute('href');
            const docElement = document.getElementById(documentId);

            fetch(link, { headers: { "Content-Type": "application/json; charset=utf-8" }})
                .then(res => res.json()) // parse response as JSON (can be res.text() for plain response)
                .then(response => {
                    // here you do what you want with response
                    docElement.remove();
                })
                .catch(err => {
                    console.log(err);
                    console.log("sorry, there are no results for your search");
                });        
        });
    });
}